CircularBlendCurveBuilder Class

class NXOpen.Features.CircularBlendCurveBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a NXOpen.Features.CircularBlendCurve builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateCircularBlendCurveBuilder()

Default values.

Property Value
Associative True
CurveFitMethod.FitOption Cubic
CurveFitMethod.MaximumDegree 7
CurveFitMethod.MaximumSegments 1
CylinderRadius.Value 0.0 (millimeters part), 0.0 (inches part)
DirectionOption BestFit
PointArclength.Expression.Value 0.0 (millimeters part), 0.0 (inches part)
RadiusOption PointOnFirstCurve
ShapeControlFirstCurve 2.0
ShapeControlSecondCurve 2.0

New in version NX5.0.0.

Properties

Property Description
Associative Returns or sets whether to create the associative output or non associative output
CurveFitMethod Returns the curve fit method as NXOpen.GeometricUtilities.CurveFitOptions
CylinderRadius Returns the cylinder radius as NXOpen.Expression, if NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption.Value
DirectionOption Returns or sets the cylinder direction option as NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption
DistanceTolerance Returns or sets the distance tolerance
FirstCurve Returns the first curve chain
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
PointArclength Returns the location of the point on curve as arclength or %arclength, if NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption.PointOnFirstCurve or Features.CircularBlendCurveBuilderCylinderRadiusOption.PointOnSecondCurve
RadiusOption Returns or sets the cylinder radius option as NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption
SecondCurve Returns the second curve chain
ShapeControlFirstCurve Returns or sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.
ShapeControlSecondCurve Returns or sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
Vector Returns or sets the vector for cylinder direction, if NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption is NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption.Vector

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
ComplementArc Complements the circular blend curve
Destroy Deletes the builder, and cleans up any objects created by the builder.
Evaluate Evaluates the circular blend curve
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetObject Returns the object currently being edited by this builder.
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

CircularBlendCurveBuilderCylinderDirectionOption Enumeration Represents the cylinder direction options
CircularBlendCurveBuilderCylinderRadiusOption Enumeration Represents the cylinder radius options

Property Detail

Associative

CircularBlendCurveBuilder.Associative

Returns or sets whether to create the associative output or non associative output

-------------------------------------

Getter Method

Signature Associative

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Associative

Parameters:associative (bool) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CurveFitMethod

CircularBlendCurveBuilder.CurveFitMethod

Returns the curve fit method as NXOpen.GeometricUtilities.CurveFitOptions

-------------------------------------

Getter Method

Signature CurveFitMethod

Returns:
Return type:NXOpen.GeometricUtilities.CurveFitOptions

New in version NX5.0.0.

License requirements: None.

CylinderRadius

CircularBlendCurveBuilder.CylinderRadius

Returns the cylinder radius as NXOpen.Expression, if NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption.Value

-------------------------------------

Getter Method

Signature CylinderRadius

Returns:
Return type:NXOpen.Expression

New in version NX5.0.0.

License requirements: None.

DirectionOption

CircularBlendCurveBuilder.DirectionOption

Returns or sets the cylinder direction option as NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption

-------------------------------------

Getter Method

Signature DirectionOption

Returns:
Return type:NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DirectionOption

Parameters:directionOption (NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

DistanceTolerance

CircularBlendCurveBuilder.DistanceTolerance

Returns or sets the distance tolerance

-------------------------------------

Getter Method

Signature DistanceTolerance

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DistanceTolerance

Parameters:distanceTolerance (float) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

FirstCurve

CircularBlendCurveBuilder.FirstCurve

Returns the first curve chain

-------------------------------------

Getter Method

Signature FirstCurve

Returns:
Return type:NXOpen.Section

New in version NX5.0.0.

License requirements: None.

PointArclength

CircularBlendCurveBuilder.PointArclength

Returns the location of the point on curve as arclength or %arclength, if NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption is NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption.PointOnFirstCurve or Features.CircularBlendCurveBuilderCylinderRadiusOption.PointOnSecondCurve

-------------------------------------

Getter Method

Signature PointArclength

Returns:
Return type:NXOpen.GeometricUtilities.OnPathDimensionBuilder

New in version NX5.0.0.

License requirements: None.

RadiusOption

CircularBlendCurveBuilder.RadiusOption

Returns or sets the cylinder radius option as NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption

-------------------------------------

Getter Method

Signature RadiusOption

Returns:
Return type:NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RadiusOption

Parameters:radiusOption (NXOpen.Features.CircularBlendCurveBuilderCylinderRadiusOption) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SecondCurve

CircularBlendCurveBuilder.SecondCurve

Returns the second curve chain

-------------------------------------

Getter Method

Signature SecondCurve

Returns:
Return type:NXOpen.Section

New in version NX5.0.0.

License requirements: None.

ShapeControlFirstCurve

CircularBlendCurveBuilder.ShapeControlFirstCurve

Returns or sets the shape control for first curve, specifies how quickly the circular blend curve deviates from the first curve.

The lower the number, the quicker the deviation.

-------------------------------------

Getter Method

Signature ShapeControlFirstCurve

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ShapeControlFirstCurve

Parameters:shapeControlCurve1 (float) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ShapeControlSecondCurve

CircularBlendCurveBuilder.ShapeControlSecondCurve

Returns or sets the shape control for second curve, specifies how quickly the circular blend curve deviates from the second curve.

The lower the number, the quicker the deviation.

-------------------------------------

Getter Method

Signature ShapeControlSecondCurve

Returns:
Return type:float

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ShapeControlSecondCurve

Parameters:shapeControlCurve2 (float) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Vector

CircularBlendCurveBuilder.Vector

Returns or sets the vector for cylinder direction, if NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption is NXOpen.Features.CircularBlendCurveBuilderCylinderDirectionOption.Vector

-------------------------------------

Getter Method

Signature Vector

Returns:
Return type:NXOpen.Direction

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Vector

Parameters:vector (NXOpen.Direction) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

ComplementArc

CircularBlendCurveBuilder.ComplementArc

Complements the circular blend curve

Signature ComplementArc()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Evaluate

CircularBlendCurveBuilder.Evaluate

Evaluates the circular blend curve

Signature Evaluate()

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

CircularBlendCurveBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.